## debian-edu-install 0.674

=== Makefile ===
#
# Install file for Debian-Edu debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
baseconfdir = $(libdir)/base-config
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

SBINFILES = \
	debconf-set-frontend

PART_RECIPES = \
        90edumain \
        92edumain+ws \
        96eduwork \
        91edumain+ltsp \
        94edultsp \
        97minimal

PART_ARCHES = \
        recipes \
        recipes-powerpc-powermac_newworld \
        recipes-powerpc-prep

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone lessdisks ltsp-chroot

all: check
check: update-partman-recipes check-scripts # check-defaults

install: 
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	for fil in $(SBINFILES); do \
	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
	done
	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

# This check need write access to the debconf database.
check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		dash -n $$script ; \
	done

update-partman-recipes: lib/partman/common/*
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
                cat lib/partman/$$partarch-header > lib/partman/$$partarch/$$partrecipe ; \
                cat lib/partman/common/$$partrecipe >> lib/partman/$$partarch/$$partrecipe ; \
            done ; \
        done
install-partman-recipes: update-partman-recipes
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
            done ; \
        done

minimum-diskreq:
	echo "Minimum disk requirements, in MiB:"
	for profile in lib/partman/recipes*/* ; do \
	  echo -n "$$profile	" ; \
	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
	done

status:
	( for f in debian/po/*.po; do \
		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
	done ) | egrep 'fuzzy|untranslated' || true
dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
debian-edu-install (0.674) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reformat French, German, Italian, Russian, Swedish and Turkish
    translations to avoid unwanted line wrap and make profile questions
    shorter.
  * Increase partition sizes for workstation and main-server+workstation
    installs, to make sure we have enough room for all the files installed.
  * Disable tasksel preseeding, as the tasksel task selection is moved to
    the debian-edu package and will fetch the tasks selected from Debconf.

  [ Translations ]
  * Update Norwegian Bokmål from Petter Reinholdtsen
  * Update Spanish from José L. Redrejo Rodrígue
  * Update Portuguese from "Traduz" - Portuguese Translation Team.
    Closes: #498793
  * Update Czech from Miroslav Kure. Closes: #499589
  * Add Chinese (zh_CN) from Ji ZhengYu. Closes: #500548
  * Add Traditional Chinese (zh_TW) translation from Andrew Lee.
  * Remove obsolete Low Saxon (nds) translation as we are unable to reach
    the translator Sven Kromminga.

  [ Daniel Hess ]
  * Reformat Chinese translations to get "- Sugar:" on a new line.

  [ Holger Levsen ]
  * Changed version number to "5.0r0+edu0 alpha" - we must remember to change
    this to "5.0r0+edu0" before the real release.

 -- Holger Levsen <holger@debian.org>  Sat, 29 Nov 2008 17:31:24 +0000

debian-edu-install (0.673) unstable; urgency=low

  * Move upgrade calls from debian-edu-add_local_apt to pre-pkgsel.d,
    to make sure sources.list is updated before trying to upgrade.
  * Rename d-i hook scripts to use the name of their .d directory
    as file name to make it easier to predict when a script will execute,
    and avoid mistakes like the above in the future.
  * Make sure to activate etcinsvk as soon as possible, imediately after
    the base system is installed, to be able to track where changes
    come from.
  * Drop redundant 'aptitude update' from post-base-installer.  It is
    also executed in pre-pkginst.
  * Make sure http_proxy is set when calling aptitude and cfengine, to
    make sure both use a proxy when it is required.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  4 Aug 2008 20:54:53 +0200

debian-edu-install (0.672) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Call etcinsvk instead of obsolete debian-edu-etc-svk, if it exist.
  * Remove workaround for usplash bug #431560, skolelinux bug #1164.  It
    does not work with dependency based boot sequencing.
  * Make sure to upgrade packages before running tasksel, to make sure
    the latest package lists and configuration is used.
  * Use aptitude instead of apt-get, and use in-target instead of
    chroot when possible, to get predictable behaviour and better
    logging.
  * Increase minimum partition sizes for main-server+workstation and
    main-server+thin-client-server, to better reflect the current
    demand.
  * Remove obsolete script lvm-initialize-debian-edu.  The task is done
    by partman now.
  * Remove obsolete script dpkg-selectforinstall.  The task is handled
    by tasksel now.
  * Move debian-edu-winbind script to the debian-edu-config package.
  * Remove obsolete support for autopartkit.
  * Make sure to use the installer HTTP proxy settings when trying to
    download using HTTP (Closes: #492226).

  [ Translations ]
  * Updated Russian from Yuri Kozlov (Closes: #489919).
  * Updated Turkish from Mert Dirik (Closes: #490089, #491492).
  * Updated French from Christian Perrier (Closes: #490129).
  * Updated Japanese from Kenshi Muto (Closes: #491987).
  * Updated Swedish from Daniel Nylander and Martin Bagge (Closes: #492032)
    (Closes: #491942).
  * Updated Italian from Claudio Carboncini.
  * Updated Finnish from Esko Arajärvi (Closes: #492117).

  [ Holger Levsen ]
  * Use urgency=medium as this upload contains two important bug fixes (the
    etcinsvk fix is also important) for lenny and the other changes are quite
    low risk and have been tested in Debian Edu for some days already.

 -- Holger Levsen <holger@debian.org>  Sat, 26 Jul 2008 17:11:38 +0000

debian-edu-install (0.671) unstable; urgency=low

  [ Holger Levsen ]
  * Update Turkish translation, thanks to Mert Dirik. (Closes: #489295)

  [ Petter Reinholdtsen ]
  * Avoid hardcoding LDAP server setting for libnss-ldapd, and use DNS
    SRV records to find it.
  * Add dmidecode-udeb as a dependency for debian-edu-profile-udeb to
    increase the chance of detecting a laptop.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Jul 2008 01:07:33 +0200

debian-edu-install (0.670) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change debian-edu-install.firstboot to touch /etc/readahead/profile-once
    after the testing is done, to run a profiling run on the next boot to
    optimize the boot speed.
  * Preseed etcinsvk/enabled to true, to handle new package split out
    from debian-edu-config.
  * Remove code and preseeding values obsoleted when base-config was
    dropped from Debian before Etch was released.
  * Remove code setting the debconf seen flag to false in the normal
    installation path, to make it possible to preseed the profile,
    partitioning and popcon question.
  * Only preseed debian-edu-install/run-firstboot if the question is not
    seen already, to allow it to be disabled using preseeding.
  * Move code releasing the unused LVM space to before packages are
    installed, to allow LVM resizing during installation.
  * Add rule to resize file systems during installation, to avoid the
    installer failing because of full file systems when there is free
    space in LVM.
  * Rewrite wget call to use -U option to set user agent string, instead
    of no longer supported --header.
  * Remove some preseeding for ltsp-client-builder which should now be
    implemented using a plugin in debian-edu-config.
  * Increase /usr/ and /var/ partition sizes for
    main-server+workstation to avoid filling up the partitions during
    installation.


=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>
Build-Depends: debhelper, po-debconf
Build-Depends-Indep: dash
Standards-Version: 3.8.0
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/

Package: debian-edu-install
Architecture: all
Depends: debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: localechooser, kbd-chooser, clock-setup, debconf, dmidecode-udeb
XB-Installer-Menu-Item: 3700
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: netcfg, debian-edu-profile-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, localization-config-udeb, debconf
XB-Installer-Menu-Item: 1000
Description: Execute Debian Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# TARGET_DIST is one of stable, etch, terra, lenny, lenny-test,
# unstable, fetch from the changelog
TARGET_DIST = $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone lessdisks ltsp-chroot

INSTALL      = install -D -m0755
INSTALL_DATA = install -D -m0644

PACKAGES=$(shell dh_listpackages)

INSTALLUDEB=debian-edu-install-udeb
PROFILEUDEB=debian-edu-profile-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=all
INSTALLUDEBFILENAME=$(INSTALLUDEB)_$(VERSION)_$(ARCH).udeb
REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb

build:
	$(MAKE)

clean:
	debconf-updatepo
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-debian-edu-install: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	$(INSTALL) -d $(CURDIR)/debian/debian-edu-install/lib/debian-edu-install/
	$(INSTALL) debian/debian-edu-install.firstboot $(CURDIR)/debian/debian-edu-install/usr/lib/debian-edu-install/firstboot

.PHONY: install-debian-edu-profile-udeb
install-debian-edu-profile-udeb: install-common
	$(INSTALL) base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/10debian-edu-profile-udeb
	$(INSTALL) base-installer-late $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/99debian-edu-profile-udeb
	$(INSTALL) post-base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/10debian-edu-profile-udeb
	$(INSTALL) post-base-installer-late $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/90debian-edu-profile-udeb
	$(INSTALL) pre-pkgsel $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/pre-pkgsel.d/10debian-edu-profile-udeb
	$(INSTALL) finish-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/19debian-edu-profile-udeb
	$(INSTALL) apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	$(MAKE) install-partman-recipes DESTDIR=$(CURDIR)/debian/debian-edu-profile-udeb
	$(INSTALL_DATA) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
	$(INSTALL) version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install

# Build architecture-independent files here.
binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb

debian-edu-install-udeb: # install-debian-edu-install-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	cp debian/debian-edu-install-udeb.isinstallable debian/debian-edu-install-udeb/DEBIAN/isinstallable
	chmod +x debian/debian-edu-install-udeb/DEBIAN/isinstallable
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
ifeq ($(TARGET_DIST),terra)
	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
		debian/debian-edu-install-udeb/DEBIAN/control
endif
	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)

.PHONY: debian-edu-profile-udeb
debian-edu-profile-udeb: install-debian-edu-profile-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
ifeq ($(TARGET_DIST),terra)
	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
		debian/debian-edu-profile-udeb/DEBIAN/control
endif
	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)

debian-edu-install: install-debian-edu-install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
	dh_installmenu -p$@
	dh_installcron -p$@
	dh_installman -p$@
	dh_installinfo -p$@
	dh_installchangelogs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu-install 0.676

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,17 @@
         recipes-powerpc-powermac_newworld \
         recipes-powerpc-prep
 
+WRITE_ARCH_RECIPE = \
+	sed -e "/>*>ARCH SPECIFIC<*</ r lib/partman/$$partarch-specific" \
+	    -e '/>*>ARCH SPECIFIC<*</ d' \
+	lib/partman/common/$$partrecipe > lib/partman/$$partarch/$$partrecipe
+
 # Created using 'file * */*|grep Bourne|cut -d: -f1'
 SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone lessdisks ltsp-chroot
+	standalone ltsp-chroot
 
 all: check
 check: update-partman-recipes check-scripts # check-defaults
@@ -68,18 +73,17 @@
 		dash -n $$script ; \
 	done
 
-update-partman-recipes: lib/partman/common/*
+update-partman-recipes: lib/partman/common/* lib/partman/recipes*-specific
 	for partarch in $(PART_ARCHES) ; do \
             for partrecipe in $(PART_RECIPES) ; do \
-                cat lib/partman/$$partarch-header > lib/partman/$$partarch/$$partrecipe ; \
-                cat lib/partman/common/$$partrecipe >> lib/partman/$$partarch/$$partrecipe ; \
+               $(WRITE_ARCH_RECIPE) ;\
             done ; \
         done
+	echo -e "Last made $@ `date` for:\n$(?F)" > $@	# Avoid redundant makes.
+
 install-partman-recipes: update-partman-recipes
 	for partarch in $(PART_ARCHES) ; do \
-            for partrecipe in $(PART_RECIPES) ; do \
 		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
-            done ; \
         done
 
 minimum-diskreq:

=== debian/changelog ===
debian-edu-install (0.676) unstable; urgency=low

  [ Holger Levsen ] 
  * Preseed lwat as suggested by John S. Skogtvedt to enable DNS and DHCP
    configuration with lwat (needs lwat >= 0.18). Thanks, John!

  [ Translations ]
  * Updated French (fr) by Christian Perrier (Closes: #530658).
  * Updated Russian (ru) by Yuri Kozlov (Closes: #531127).
  * Updated Swedish (sv) by Martin Bagge (Closes: #531339).
  * Updated Italian (it) by Claudio Carboncini.
  * Updated Basque (eu) by Piarres Beobide (Closes: #531560).
  * Updated Japanese (ja) by Kenshi Muto (Closes: #531856).
  * Updated Chinese (zh_CN) by Ji ZhengYu (Closes: #531840).
  * Updated German (de) by Helge Kreutzman (Closes: #532241).
  * Updated Portuguese (pt) by Miguel Figueiredo (Closes: #532216).
  * Updated Spanish (es) by Francisco Javier Cuadrado (Closes: #532215).
  * Updated Czech (cs) by Miroslav Kure (Closes: #532475).
  * Updated Finnish (fi) by Esko Arajärvi (Closes: #532500).

  [ Vagrant Cascadian ]
  * debian/copyright: point to GPL-2 explicitly.
  * only change priority for debian-edu-install to extra, as the other packages
    can remain at optional priority.
  * Add ${misc:Depends} to debian-edu-install-udeb and debian-edu-profiles-udeb
    so that debhelper can add appropriate dependencies if needed.
  * debian-edu-install.postinst: don't call deconf-set-selections with full
    path. 
  * update Standards-Version to 3.8.2, no changes needed.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 21 Jun 2009 11:24:38 -0700

debian-edu-install (0.675) unstable; urgency=low

  [ Oded Naveh ]
  * Remove the debianfreespace logical volume from volume group of any name.
  * Changed Makefile and recipes files to deal with bug #1316:
    - Moved and modified partman recipes headers to appropriate 
      lib/partman/common/* and added insert marker for architecture specific
      partitions.
    - Renamed lib/partman/$(ARCH)-header to lib/partman/$(ARCH)-specific.
    - Changed make target 'update-partman-recipes' to use the new scheme.
    - Subsequently all lib/partman/recipes*/* changed by make.
  * Moved templates to choose recipes to debian-edu-profile-udeb.templates
    and made them translateable.
     Subsequently all debian/po/*.po changed by debconf-updatepo.

  [ Petter Reinholdtsen ]
  * Use 'etcinsvk commit' instead of obsolete 'etcinsvk update'.
  * Change how etcinsvk is initialized.  Initialize it in
    finish-install instead of in post-base-installer unless 'debug' is
    used as a kernel parameter during installation, as a workaround
    for bug #507742.  Removed enabling using preseeding to get it working.
  * Log when etcinsvk is called.

  [ Holger Levsen ]
  * Change version number to "5.0.0+edu0 alpha", to reflect the new Debian
    versioning scheme. We must still remember to change this to "5.0.0+edu0" 
    before the real release.

  [ Ronny Aasen ]
  * Add debian-edu-archive-keyring-udeb, to depends of debian-edu-install-udeb.
  * Add apt-setup/local0/key weburl to debien-edu-archive-keyring.
    Requiered for local online repo to be considered by apt-setup. 
  * Tweaking partition sizes. 
  * Remove the dependency on debconf from the udeb's there is no debconf udeb. 
  * add d-i preseed for base-installer/includes to install exim4-daemon-heavy 
    early.

  [ Vagrant Cascadian ]
  * Add myself to Uploaders.
  * Add flags to allow debian-maintainer uploads.
  * Remove most traces of lessdisks. 
  * Add ${misc:Depends} to debian-edu-install so that debhelper can add
    appropriate dependencies if needed.

  [ Holger Levsen ]
  * Change version number to "5.0.1+edu0 alpha", as we won't release before the
    first lenny pointrelease.

  [ Daniel Hess ]
  * Modify the desktop test of tasksel, so that when installing Debian Edu
    the installer installs what the user choose in the profile question.

  [ Luk Claes ]
  * Drop Sugar from expert mode. It's not working yet.
  * Fix translations.

  [ Daniel Hess ]
  * Fix the symlink done for the modified tasksel desktop test script
  * Also Modify new-install (for standard system) and laptop tests

  [ Holger Levsen ]
  * Add Oded Navehs particulator.sh script to lib/partman/recipes-doc to aid in
    caluculating partman recipes. 

  [ Ronny Aasen ]
  * tuning Partman recipes, trying to avoid #1342
  * increasing /var for ltsp and workstation machines, the netinstall uses
    allmost 2 GB during install. 

  [ Luk Claes ]
  * Fix translations to workaround cdebconf issue.

  [ Daniel Hess ]
  * Preseed tasksel/first seen flag to make tasksel not show up during
    install

  [ Ronny Aasen ]
  * Add tasksel as a dependency of d-e-i-udeb, in order to select it even if
    we have marked it as seen.
  * Copy the result of the testsuite into /var/log/installer/
  * Revert my tasksel dependency in svn57721, no effect.
  * Disable the preseed of tasksel/first, tasksel was not run in the installer.
    Instead try to bump debconf priority. 

  [ Petter Reinholdtsen ]
  * Fix typo in debian-edu-profile introduced in version 0.675~svn57741.
  * Copy the test log in firstboot to /var/log/installer.
  * On second thought, allow the Debian laptop task to be installed on
    laptops.  It does not contain any GUI applications and no
    longer include network-manager.  This partly undo changes done by
    Daniel Hess.

  [ Ronny Aasen ]
  * Check multiple indicators of a non default install before bumping priority.
  * increase main server/var, it uses about 560 MB for a netinstall.

  [ Vagrant Cascadian ]
  * lower priority to extra, as it depends on debian-edu-config, which is being
    changed to priority extra, to comply with debian policy 2.5.
  * allow libgnome2-perl as alternative to libqt-perl, and fall back to gnome
    frontend if kde frontend is unavailable.
  * update debian/compat to version 7, as version 4 is now deprecated. update
    build-dependency on debhelper to match.
  * update Standards-Version to 3.8.1, no changes needed.



=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: dash
Standards-Version: 3.8.2
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
XS-DM-Upload-Allowed: yes

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl | libgnome2-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, localechooser, kbd-chooser, clock-setup, dmidecode-udeb
XB-Installer-Menu-Item: 3700
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, netcfg, debian-edu-archive-keyring-udeb, debian-edu-profile-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, localization-config-udeb
XB-Installer-Menu-Item: 1000
Description: Execute Debian Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian Edu project.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone lessdisks ltsp-chroot
+	standalone ltsp-chroot
 
 INSTALL      = install -D -m0755
 INSTALL_DATA = install -D -m0644
@@ -38,9 +38,9 @@
 	dh_clean
 
 install-common: build
+	dh_prep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
 	dh_installdirs
 
 install-debian-edu-install: install-common

## debian-edu-install 1.519

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,10 @@
 INSTALL_DATA= install -m 644
 
 libdir      = /usr/lib
-baseconfdir = $(libdir)/base-config
 templatedir = /usr/share/debconf/templates
 pkglibdir   = $(libdir)/debian-edu-install
 sbindir     = /usr/sbin
 sysconfdir  = /etc
-
-SBINFILES = \
-	debconf-set-frontend
 
 PART_RECIPES = \
         90edumain \
@@ -45,10 +41,7 @@
 
 install: 
 	for profile in $(DEFAULTS) ; do \
-	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
-	done
-	for fil in $(SBINFILES); do \
-	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
+	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
 	done
 	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)
 
@@ -64,7 +57,7 @@
 # This check need write access to the debconf database.
 check-defaults:
 	for profile in $(DEFAULTS) ; do \
-	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
+	    tools/debconf-load-defaults -c preseed-values/defaults.$$profile; \
 	done
 
 # Detect typos in /bin/sh scripts
@@ -79,7 +72,7 @@
                $(WRITE_ARCH_RECIPE) ;\
             done ; \
         done
-	echo -e "Last made $@ `date` for:\n$(?F)" > $@	# Avoid redundant makes.
+	LC_ALL=C printf "Last made $@ `date` for:\n$(?F)\n" > $@	# Avoid redundant makes.
 
 install-partman-recipes: update-partman-recipes
 	for partarch in $(PART_ARCHES) ; do \

=== debian/changelog ===
debian-edu-install (1.519) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase /var/ partition size for Main-Server+Thin-Client-Server
    installations, minimum from 4032 to 4480 MiB, to make sure
    enough space is available for PXE installations.
  * Show "expert" profile question by default to make the minimal
    profile more visible and better known. 
  * Fix typo in postinst to handle the Minimal profile.
  * Correct formatting of Danish (da) debconf templates.
  * Correct formatting of Norwegian Nynorsk (nn) debconf templates.
  * Correct formatting of Swedish (sv) debconf templates.

  [ Translations ]
  * Update Czech (cs) translation by Miroslav Kure (Closes: #601868).
  * Update Greek (el) translation by Stayros Kroustouris.
  * Update Italian (it) translation by Claudio Carboncini
    (Closes: #602952).
  * Update Traditional Chinese (zh_TW) by Andrew Lee (李健秋).

 -- Holger Levsen <holger@debian.org>  Sat, 13 Nov 2010 14:46:55 +0100

debian-edu-install (1.518) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase partition size for Workstation installations, minimum
    from 2752 to 3776 MiB and max from 4096 to 5120, to make sure
    enough space is available for PXE installations.
  * Fetch CD suite from cdrom/codename debconf value in
    debian-edu-profile and report errors if the suite was not found.
  * Use log-output to send wget output to the syslog when testing
    if the Internet is available.

  [ Ronny Aasen ]
  * Adapt tools/edu-is-testinstall, to changes in d-i. use
    cdrom/codename To find debian codename on cdrom install's

  [ Translations ]
  * Update Northern Sami (se) translated by Børre Gaup.
  * Update Chinese (zh_CN) by Ji ZhengYu (Closes: #599912).
  * Update Spanish (es) by Francisco Javier Cuadrado
    (Closes: #600345).
  * Update Finnish by Esko Arajärvi (Closes: #600512).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2010 23:02:28 +0200

debian-edu-install (1.517) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove unneeded lwat preseeding in defaults.networked, which is
    also in defaults.main-server.
  * Update standards-version from 3.8.4 to 3.9.1.  No changes needed.
  * Always preselect Thin-Client-Server when Main-server is selected,
    to recommend combined servers as the default.

  [ Finn-Arne Johansen ]
  * Added preseeding of ldap server and search base (used by lwat).
  * Modified preeseding of lwat to fit newer ldap configuration.
  * Fixed typo in some of the lwat preseeding to make it work with dhcp
    and dns (too many spaces in the preseeding).

  [ Translations ]
  * Updated Norwegian Bokmål (nb) translation by Petter Reinholdtsen.
  * Updated Norwegian Nynorsk (nn) translation by Jan Roar Rød.
  * Updated Czech (cs) translation by Miroslav Kure (Closes: #598355)
  * Updated Vietnamese (vi) translated by Clytie
    Siddall (Closes: #599500).
  * Updated Turkish (tr) translated by Mert Dirik.
  * Updated Northern Sami (se) translated by Børre Gaup.
  * Updated Slovak (sk) translated by Ivan Masár (Closes: #599501).
  * Updated Japanese (ja) translated by Kenshi Muto (Closes: #599601).
  * Updated Danish (da) translated by Joe Hansen (Closes: #599637).
  * Updated Portuguese (pt) translated by Miguel
    Figueiredo (Closes: #599755).
  * Updated Basque (eu) translated by Iñaki Larrañaga
    Murgoitio (Closes: #599809).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Oct 2010 18:13:27 +0200

debian-edu-install (1.516) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add preseeding of partman-lvm/confirm_nooverwrite to ensure
    automatic partition is working also for blank disks.
  * Adjust how partman preseeding is used, use add_preseed function
    instead of manually using db_set/db_fset.
  * Fix typo in debian-edu-profile causing wrong exim to be installed on
    servers where autopartition is not chosen.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Aug 2010 23:46:17 +0200

debian-edu-install (1.515) unstable; urgency=low

  * Copy laptop-detect script from the package with the same name, and
    use it to determine if Main-Server, Thin-Client-Server,
    Standalone, Workstation or Roaming-Workstation should be
    preselected.  Add depend on dmidecode-udeb to make sure
    laptop-detect can check DMI chassis info.
  * Update preseed values for main-server to use the nagios3 templates
    to set the web page password, and not the obsolete nagios
    templates.
  * Adjust main-server preseeding to use the current LDAP structure.
  * Remove unused networked preseeding of libnss-ldap, libpam-ldap and
    libnss-ldapd.
  * Set hostname based on reverse DNS entry for IP in pre-pkgsel for
    clients, to make sure dnsdomainname return useful information when
    debian-edu-ldapserver need it during installation.
  * Switch nslcd preseeding from using DNS SRV records to find the
    LDAP server at run time, to look for ldap://ldap and depend on the
    SRV records to be consulted at install time instead.
  * Log to the console when running debian-edu-config
    run-at-firstboot, to give users some feedback on why the machine
    is hanging during boot.
  * Add code in pre-pkgsel and finish-install scripts to call hooks in
    /target/usr/share/debian-edu-config/d-i/ and move relevant code
    calling cfengine and autodetection to the debian-edu-config
    package.
  * Log message when doing profile preselection and running
    debian-edu-config hooks, to ease debugging.
  * Correct the use of log_* messages in
    init/xdebian-edu-firstboot.init.

  [ Translations ]
  * Updated French from Christian Perrier (Closes: #590880)
  * Updated Russian from Yuri Kozlov (Closes: #591238)
  * Updated Swedish from Martin Bagge (Closes: #592042).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 07 Aug 2010 22:28:07 +0200

debian-edu-install (1.514) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add new profile choice 'Roaming-Workstation' to set up local home


=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: dash (>= 0.5.4-12)
Standards-Version: 3.9.1
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
XS-DM-Upload-Allowed: yes

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debian-edu-config (>= 1.439), lsb-base, libgnome2-perl | libqt-perl
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, dmidecode-udeb, localechooser, keyboard-setup, download-installer | load-cdrom
XB-Installer-Menu-Item: 2350
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, driver-injection-disk-detect, configured-network, debian-edu-archive-keyring-udeb, debian-edu-profile-udeb, user-setup-udeb,  clock-setup, pkgsel, ltsp-client-builder, localization-config-udeb
XB-Installer-Menu-Item: 7750
Description: Execute Debian Edu debian-installer profile
 This dependency package forces the installer to choose the menu items
 needed for use in debian-installer.  This is done by making this
 package appear very early in the menu, and depending on the required
 packages in sequence.
 .
 This is part of the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone ltsp-chroot

INSTALL      = install -D -m0755
INSTALL_DATA = install -D -m0644

PACKAGES=$(shell dh_listpackages)

INSTALLUDEB=debian-edu-install-udeb
PROFILEUDEB=debian-edu-profile-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=all
INSTALLUDEBFILENAME=$(INSTALLUDEB)_$(VERSION)_$(ARCH).udeb
REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb

build:
	$(MAKE)

clean:
	debconf-updatepo
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_prep
	dh_testdir
	dh_testroot
	dh_installdirs

install-debian-edu-install: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	$(INSTALL) -d $(CURDIR)/debian/debian-edu-install/lib/debian-edu-install/

.PHONY: install-debian-edu-profile-udeb
install-debian-edu-profile-udeb: install-common
	$(INSTALL) base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/10debian-edu-profile-udeb
	$(INSTALL) post-base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/01debian-edu-profile-udeb
	$(INSTALL) pre-pkgsel $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/pre-pkgsel.d/10debian-edu-profile-udeb
	$(INSTALL) finish-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/13debian-edu-profile-udeb
	$(INSTALL) apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	$(MAKE) install-partman-recipes DESTDIR=$(CURDIR)/debian/debian-edu-profile-udeb
	$(INSTALL_DATA) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
	$(INSTALL_DATA) version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install/.

	for p in tools/edu-etcvcs tools/edu-is-testinstall tools/laptop-detect ; do \
	    $(INSTALL) $$p $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin/. ; \
	done

# Build architecture-independent files here.
binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb

debian-edu-install-udeb: # install-debian-edu-install-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	cp debian/debian-edu-install-udeb.isinstallable debian/debian-edu-install-udeb/DEBIAN/isinstallable
	chmod 755 debian/debian-edu-install-udeb/DEBIAN/isinstallable
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)

.PHONY: debian-edu-profile-udeb
debian-edu-profile-udeb: install-debian-edu-profile-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)

debian-edu-install: install-debian-edu-install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
	dh_installmenu -p$@
	dh_installcron -p$@
	dh_installman -p$@
	dh_installinfo -p$@
	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."
	dh_installchangelogs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu-install 1.520

=== debian/changelog ===
debian-edu-install (1.520) unstable; urgency=low

  * Release of eleven prereleases done in Debian Edu to Debian sid, aimed at
    Debian squeeze. See below for exact list of changes.
  * Update version to "6.0.3+edu0 beta1" in version and 
    debian/debian-edu-install.postinst.

  * debian-edu-install (1.520~svn74157) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Modify krb5-config preseeding to work out of the box for clients.

  * debian-edu-install (1.520~svn73947) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Correct the Vcs-Browser link in the control file to use the new paths.

  [ Holger Levsen ]
  * Drop references to etcinsvk in post-base-installer (confirmed via checking
    the logs that this init here was useless) and tools/edu-etcvcs.
 
  * debian-edu-install (1.520~svn73655) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Add preseeding for ldap-password-again.

  * debian-edu-install (1.520~svn73623) squeeze-test; urgency=low

  [ Holger Levsen ]
  * preseed-values/defaults.common: don't add "quiet" to the kernel params
    anymore as this is already done by d-i. (Closes: skolelinux#1345) 

  [ Andreas B. Mundt ]
  * Add local user to the 'adm'-group to allow reading logfiles.
  * Remove 'netdev'-group as it does not exist.
  * Clean code, it's now almost identical to the last working revision,
    but with localadmin-creation added.

  * debian-edu-install (1.520~svn73450) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Run pre-pkgsel debconf-* commands with in-target, to make
    sure ldap-password and kdc-password get set reliably in
    to-be-installed system.

  * debian-edu-install (1.520~svn73402) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Remove second call to create_initial_localadmin_user() in
    pre-pkgsel.

  [ Holger Levsen ]
  * Remove scanner and fuse from localadmins groups.

  [ Mike Gabriel ]
  * Fixes chpasswd call during creation of localadmin account.

  * debian-edu-install (1.520~svn73401) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Redirect stdout to stderr for in-target calls in pre-pkgsel's
    create_initial_localadmin_user(): Fixes problems with debconf.

  * debian-edu-install (1.520~svn73383) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Correctly pass username and password to chpasswd for localadmin.

  * debian-edu-install (1.520~svn73372) squeeze-test; urgency=low

  [ Holger Levsen ]
  * Update Catalan by Hector Oron. (Closes: #606127)
 
  [ Daniel Hess ]
  * Save the password entered during installation in debconf variable
    'debian-edu-config/ldap-password' for later use during ldap
    bootstrap.
  * Update Catalan po file with debconf-updatepo (through debian/rules'
    clean target)

  [ Mike Gabriel ]
  * Adds Mike Gabriel to uploaders.

  * debian-edu-install (1.520~svn73341) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * use DNS SRV records to detect kerberos configuration for Debian Edu clients
    (by preseeding krb5-config)
  * fix localadmin user account creation (using in-target calls)

  * debian-edu-install (1.520~svn73315) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Change netmask of the backbone net: Use full 10.0.0.0/8 network
    in tjeners interfaces file until GOsa supports 10.0.2.0/23.
  * Add myself to Uploaders.

  [ Mike Gabriel ]
  * pre-pkgsel: create a local user with uid "localadmin" and sudo rights.
    (for first login and for graphical admin tasks when i.e. ldap or
    network is down.)
  * Setting author in etckeeper's VCS (Closes: #617383)

  [ Petter Reinholdtsen ]
  * Add isinstallable script to debian-edu-profile-udeb to disable
    the profile question when d-i is in rescue mode.
  * Make sure atftp is preseeded also for standalone Main-Server
    profiles, to get PXE installation working from such servers.
  * Make sure CD is present before looking for .disk/cd_type on it, to
    avoid error message in the log for PXE installations.
  * Preseed partman-auto/init_automatically_partition to try to get
    automatic partitioning working with ISO booted as USB stick.
    Flag it as seen to avoid presenting the question to the user
    (Closes: #606314).
  * Ignore wireless network interfaces when guessing if a machine
    should be a thin client server, as PXE booting do not work on wifi
    networks.

  [ Andrew Lee (李健秋) ]
  * Update translation for zh_TW. 

 -- Holger Levsen <holger@debian.org>  Sat, 04 Jun 2011 00:31:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 Build-Depends: debhelper (>= 7), po-debconf
 Build-Depends-Indep: dash (>= 0.5.4-12)
 Standards-Version: 3.9.1
 Homepage: http://www.skolelinux.org
-Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-install/
 Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
 XS-DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
+	cp debian/debian-edu-profile-udeb.isinstallable debian/debian-edu-profile-udeb/DEBIAN/isinstallable
 	dh_installdeb -p$@
 	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
 	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)
